Subject: Re: [PATCH v2] docs: bug-bisect: add a note about bisecting -next

From: Stephen Rothwell <[email-masked]>
Date: Sat, 2 Nov 2024 22:58:41 +1100

Hi Thorsten,

On Sat, 2 Nov 2024 12:28:21 +0100 Thorsten Leemhuis <[email-masked]> wrote:
>
> On 01.11.24 12:59, Stephen Rothwell wrote:
> >
 > On Fri,  1 Nov 2024 07:17:06 +0100 Thorsten Leemhuis <[email-masked]> wrote:
> > [...]  
> >> +The 'stable' branch refers to the state of linux-mainline the current  
> >                                                              ^
> >                                                              that the current  
> 
> Ohh, I thought such a "that" would be optional here, but I'm not a
> native speaker, so I guess I was wrong.

Yeah, I guess it is optional, but I prefer it written like that - it
sounds better to my ear.

> >> +linux-next release (found in the 'master' branch) is based on -- the former
> >> +thus should be free of any problems that show up in -next, but not in Linus'
> >> +tree.  
> > 
> > As you say, 'stable' only works for the current linux-next release.  If
> > you are trying to bisect a previous release, you can always find the
> > SHA1 associated with the base of any linux-next release using "grep
> > origin Next/SHA1s".  Not sure how useful that is.  
> 
> Hmmm. Not sure. Open for opinions here. But right now I tend to think:
> nice to know, but not relevant enough for this text, as most people want
> to check if latest -next is still affected -- so why then bisect with a
> older -next release?

That is fine.

-- 
Cheers,
Stephen Rothwell